Перейти к содержимому
R-Service R-Service
Руководство разработчика RR Tech Service Management

Service Level Agreements - Skill Pools API

Эта документация пока недоступна на вашем языке, поэтому показана английская версия.

This API only works for service level agreements whose Coverage field value is set to skill_pools .

List all skill pools of a service level agreement with a specific ID.

GET /slas/:id/skill_pools
Status: 200 OK
[
{
"name": "Chief Financial Controllers",
"created_at": "2016-03-14T03:10:36-06:00",
"sourceID": null,
"updated_at": "2016-03-14T03:10:36-06:00",
"id": 7,
"disabled": false
},
{
"name": "Expense Reporting SMEs",
"created_at": "2016-03-14T03:10:36-06:00",
"sourceID": null,
"updated_at": "2016-03-14T03:10:36-06:00",
"id": 8,
"disabled": false
},
"..."
]

The response contains these fields by default.

The following predefined filters are available:

  • /slas/:id/skill_pools/disabled : List all disabled skill pools of a service level agreement with a specific ID
  • /slas/:id/skill_pools/enabled : List all enabled skill pools of a service level agreement with a specific ID

Add a link between a service level agreement with a specific ID and a skill pool with a specific ID.

POST /slas/:id/skill_pools/:skill_pool_id
Status: 200 OK
{}

Remove the link between a service level agreement with a specific ID and a skill pool with a specific ID.

DELETE /slas/:id/skill_pools/:skill_pool_id
Status: 204 No Content

Remove all links between a service level agreement with a specific ID and its skill pools.

DELETE /slas/:id/skill_pools
Status: 204 No Content